# Generated by Django 3.2.11 on 2022-02-04 17:57

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("nfts", "0001_initial"),
        ("my_adalia_id", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Crewmate",
            fields=[
                (
                    "nftasset_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="nfts.nftasset",
                    ),
                ),
                (
                    "crew_collection",
                    models.IntegerField(verbose_name="crew collection"),
                ),
                (
                    "gender",
                    models.CharField(
                        choices=[("M", "Male"), ("F", "Female")],
                        help_text="Though the Influence API refers to this as <tt>sex</tt>, we use more inclusive language.",
                        max_length=1,
                        verbose_name="gender identity",
                    ),
                ),
                ("body", models.IntegerField(verbose_name="body")),
                ("crew_class", models.IntegerField(verbose_name="crew class")),
                ("title", models.IntegerField(verbose_name="title")),
                ("outfit", models.IntegerField(verbose_name="outfit")),
                ("hair", models.IntegerField(verbose_name="hair")),
                ("facial_feature", models.IntegerField(verbose_name="facial feature")),
                ("hair_color", models.IntegerField(verbose_name="hair color")),
                ("head_piece", models.IntegerField(verbose_name="head piece")),
                ("bonus_item", models.IntegerField(verbose_name="bonus item")),
            ],
            options={
                "abstract": False,
                "base_manager_name": "objects",
            },
            bases=("nfts.nftasset",),
        ),
    ]
